org.h2gis.functions.spatial.mesh

## Class FullConvexHull

- java.lang.Object
- - org.h2gis.functions.spatial.mesh.FullConvexHull

    public class FullConvexHull
    extends Object

Computes the convex hull of a `Geometry`. The convex hull is the smallest convex Geometry that contains all the points in the input Geometry.

Uses the Graham Scan algorithm. For the workaround of Poly2Tri the convex hull must not be simplified

Version:
  1.7

### Constructor Summary

Constructors
Constructor and Description
`FullConvexHull(org.locationtech.jts.geom.Coordinate[] pts, org.locationtech.jts.geom.GeometryFactory geomFactory)` Create a new convex hull construction for the input `Coordinate` array.
`FullConvexHull(org.locationtech.jts.geom.Geometry geometry)` Create a new convex hull construction for the input `Geometry`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.locationtech.jts.geom.Geometry` `getConvexHull()` Returns a `Geometry` that represents the convex hull of the input geometry.
`protected org.locationtech.jts.geom.Coordinate[]` `toCoordinateArray(Stack stack)` An alternative to Stack.toArray, which is not present in earlier versions of Java.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FullConvexHull

    public FullConvexHull(org.locationtech.jts.geom.Geometry geometry)

Create a new convex hull construction for the input `Geometry`.

Parameters:
  `geometry` -

#### FullConvexHull

    public FullConvexHull(org.locationtech.jts.geom.Coordinate[] pts,
                          org.locationtech.jts.geom.GeometryFactory geomFactory)

Create a new convex hull construction for the input `Coordinate` array.

### Method Detail

#### getConvexHull

    public org.locationtech.jts.geom.Geometry getConvexHull()

Returns a `Geometry` that represents the convex hull of the input geometry. The returned geometry contains the minimal number of points needed to represent the convex hull. In particular, no more than two consecutive points will be collinear.

Returns:
  if the convex hull contains 3 or more points, a `Polygon`; 2 points, a `LineString`; 1 point, a `Point`; 0 points, an empty `GeometryCollection`.

#### toCoordinateArray

    protected org.locationtech.jts.geom.Coordinate[] toCoordinateArray(Stack stack)

An alternative to Stack.toArray, which is not present in earlier versions of Java.

Parameters:
  `stack` -